Vendors - Vendor
Copy Page
3enab
🏪 Vendor Application
👤 User Application
🏪 Vendor Application
👨💼 Admin Application
🚚 Delivery Application
Auth - Vendor
Register a new vendor user
POST
Login vendor
POST
Logout vendor
POST
Refresh access token
POST
Send phone OTP
POST
Verify phone OTP
POST
Send password reset OTP
POST
Verify password reset OTP
POST
Reset password
POST
Items - Vendor
Create a new item
POST
Get all items in a category
GET
Get a single item by ID
GET
Update an item
PUT
Delete an item
DELETE
Create a variant for an item
POST
Update item status
PATCH
Get all variants of an item
GET
Upload item image
POST
Update item availability
PATCH
Update item group availability
PATCH
Move item to another menu category
PATCH
Update item active status
PATCH
Update item discount
PATCH
Remove item discount
DELETE
Apply discount to all vendor items
PATCH
Remove discount from all vendor items
DELETE
Update items order
PATCH
Menu Categories - Vendor
Create a new menu category for a vendor
Get all menu categories for a vendor
Get a single menu category by ID
Update a menu category
Delete a menu category
Update menu category active status
Update ordering for menu categories
Rates - Vendor
Get all ratings for vendor
Get a specific rating by ID
Users - Vendor
Get current vendor user profile
Update current vendor user profile
Delete current vendor user account
Change vendor user password
Vendor Categories - Vendor
Get all active vendor categories
Get a vendor category by ID
Vendors - Vendor
Get my vendors
GET
Create a new vendor
POST
Update vendor
PUT
Delete vendor
DELETE
Upload vendor logo
POST
Get vendor logo
GET
Update vendor active status
PATCH
Update vendor availability status
PATCH
Create or update vendor notice
PUT
Upload vendor cover image
POST
Delete vendor notice
DELETE
Delete vendor cover image
DELETE
Upload notice image
POST
Update vendor preparation time
PATCH
Delete notice image
DELETE
Orders - Vendor
Get all orders for vendor
Get order by ID
Cancel order by vendor
Update order status
Versions - Vendor
Get the latest version for Vendor app
Vendors - Vendor
Copy Page
Get vendor logo
GET
/api/v1/vendor/vendors/{vendorId}/logo
Try it
Run in Apidog
Run in Apidog
Retrieve vendor logo image
Request
Authorization
JWT Bearer
Add the parameter
Authorization
to Headers
Example:
Authorization: ********************
API Key
Add parameter in header
x-api-key
Example:
x-api-key: ********************
or
Path Params
Generate Code
Responses
🟢
200
OK
image/jpeg
Logo retrieved successfully
🟠
404
Not Found
🔴
500
Internal Server Error
Modified at
2026-01-30 12:07:52
Previous
Upload vendor logo
Next
Update vendor active status